#!/bin/bash

##
# Variables that you don't need to change.
##

# comment out for TESTING ONLY
# JAVAOPTS=-Djava.protocol.handler.pkgs=com.sun.net.ssl.internal.www.protocol

# JAVAOPTS="${JAVAOPTS} -Djavax.net.debug=ssl,handshake"
# JAVAOPTS="${JAVAOPTS} -Djavax.net.debug=handshake"


##
# Creating a classpath from the contents of your lib directory
##
TEMP_CP=`find ${LIB} -name '*.jar' -type f | sort | paste -d${CP_SEP} -s -`
# add lib/temp dir jars
TEMP_CP=${TEMP_CP}${CP_SEP}`find ${LIB}/tmp -name '*.jar' -type f | sort | paste -d${CP_SEP} -s -`
# add client jar
#TEMP_CP=${TEMP_CP}${CP_SEP}${CLIENTJAR}${CP_SEP}${DIST_DIR}
#TEMP_CP=${TEMP_CP}${CP_SEP}${CLIENT_JAR}
TEMP_CP=${TEMP_CP}${CP_SEP}${DIST_DIR}
echo ${TEMP_CP}
echo ""

##
# Run the test application with all other arguments after the first.
##
CLASSPATH=${TEMP_CP}
# CLASSPATH=${CLASSPATH}${CP_SEP}${REFIMPL}/config
export CLASSPATH
echo classpath: ${CLASSPATH}

echo argument count=$#
if [ $# -eq 0 ] 
then
   #CLASS=${PACKAGE}.GetOpportunityListTest
	echo "========================================================"
	echo "Usage : Applicant S2S command line client"
	echo "========================================================"
	echo "Synatx : runtest.sh arg1 arg2 ..."
	echo "arg1: Test name: GetOpportunitiesClient"
	echo "key-value pair arg(s): "
	echo "    url=https://209.222.132.134:8002/grantsws-applicant/services/ApplicantIntegrationSoapPort"
	echo "    cfda=00.000 (cfda OR compid required)"
	echo "    compid=1234 (cfda OR compid required)"
	echo "    oppid=20110101-KV-011 (optional)"
	
    return
	#exit 1
else
   CLASS=${PACKAGE}.$1
# 'shift' removes the arg from the arg list
#   shift
fi
echo Running ${CLASS}
echo ""

echo
echo class parameters=$@
echo

#"${JAVA_HOME}"/bin/java -Xms128m -Xmx512m ${JAVAOPTS} ${CLASS} $@
# java -Xms128m -Xmx512m ${JAVAOPTS} ${CLASS} $@

# ${1+"$@"} allows for passing args with spaces as one argument
#  when quotes are used ... i.e. status="Received by Agency"
$JAVA_HOME/bin/java -Xms128m -Xmx512m ${JAVAOPTS} ${CLASS} ${1+"$@"}
